javax.resource.spi

## Class ApplicationServerInternalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.resource.ResourceException
      - - javax.resource.spi.ApplicationServerInternalException

- All Implemented Interfaces:
    java.io.Serializable

      public class ApplicationServerInternalException
      extends ResourceException

  An `ApplicationServerInternalException` is thrown by an application server to indicate error conditions specific to an application server. These error conditions can be related to either configuration related errors or implementation of mechanisms internal to an application server (example: connection pooling, thread management).
  Version:
    1.0
  Author:
    Rahul Sharma, Ram Jeyaraman
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationServerInternalException()` Constructs a new instance with null as its detail message.
    `ApplicationServerInternalException(java.lang.String message)` Constructs a new instance with the specified detail message.
    `ApplicationServerInternalException(java.lang.String message, java.lang.String errorCode)` Constructs a new throwable with the specified detail message and an error code.
    `ApplicationServerInternalException(java.lang.String message, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
    `ApplicationServerInternalException(java.lang.Throwable cause)` Constructs a new throwable with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class javax.resource.ResourceException

      `getErrorCode, getLinkedException, getMessage, setErrorCode, setLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationServerInternalException

          public ApplicationServerInternalException()

      Constructs a new instance with null as its detail message.

    - #### ApplicationServerInternalException

          public ApplicationServerInternalException(java.lang.String message)

      Constructs a new instance with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### ApplicationServerInternalException

          public ApplicationServerInternalException(java.lang.Throwable cause)

      Constructs a new throwable with the specified cause.
      Parameters:
        `cause` - a chained exception of type `Throwable`.

    - #### ApplicationServerInternalException

          public ApplicationServerInternalException(java.lang.String message,
                                                    java.lang.Throwable cause)

      Constructs a new throwable with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - a chained exception of type `Throwable`.

    - #### ApplicationServerInternalException

          public ApplicationServerInternalException(java.lang.String message,
                                                    java.lang.String errorCode)

      Constructs a new throwable with the specified detail message and an error code.
      Parameters:
        `message` - a description of the exception.
        `errorCode` - a string specifying the vendor specific error code.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)